Page MenuHomePhabricator

Ooziefy and parquetize pageview intermediate aggregation using refined table fields {wren} [13 pts]
Closed, ResolvedPublic

Description

Dimensions for aggregation:

`year`              int     COMMENT 'year of pageviews',
`month`             int     COMMENT 'month of pageviews',
`day`               int     COMMENT 'day of pageviews',
`hour`              int     COMMENT 'hour of pageviews',
`project`           string  COMMENT 'Project name, computed out of requests hostname',
`access_method`     string  COMMENT 'Method used to access the pages, can be desktop, mobile web, or mobile app',
`agent_type`        string  COMMENT 'Agent accessing the pages, can be spider or user',
`country_code`      string  COMMENT 'Country iso code of the accessing agents (computed using maxmind GeoIP database)',
`referer_class`     string  COMMENT 'Indicates if a referer is internal, external or unknown.'
`cache_status`      string  COMMENT 'Cache status',
`http_status`       string  COMMENT 'HTTP status of response',
browser_name
browser_major
device_family
os_name
os_major
`is_zero`           boolean COMMENT 'Indicates if the webrequest is accessed through a zero provider',
`uri_path`          string  COMMENT 'Path of request'
`uri_query`         string  COMMENT 'Query of request',
`article`           string  Refinement of uri_path and uri_query

Event Timeline

JAllemandou raised the priority of this task from to Needs Triage.
JAllemandou updated the task description. (Show Details)
JAllemandou added a subscriber: JAllemandou.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2015, 5:49 PM
kevinator triaged this task as Normal priority.May 26 2015, 6:34 PM
kevinator set Security to None.
ggellerman moved this task from Tasked_Hidden to In Progress on the Analytics-Kanban board.
Milimetric renamed this task from Ooziefy and parquetize pageview intermediate aggregation using refined table fields [13 pts] {wren} to Ooziefy and parquetize pageview intermediate aggregation using refined table fields {wren} [13 pts].Jun 3 2015, 8:57 PM

Change 217337 had a related patch set uploaded (by Joal):
Add oozie job for pageview_hourly aggregation

https://gerrit.wikimedia.org/r/217337

Change 217337 merged by Joal:
Add oozie job for pageview_hourly aggregation

https://gerrit.wikimedia.org/r/217337

kevinator closed this task as Resolved.Jun 19 2015, 10:42 PM